View Issue Details

IDProjectCategoryView StatusLast Update
13361Bug reports[All Projects] Theme editorpublic2018-05-25 11:30
Reportericeclimber81Assigned ToLouisGac 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary13361: .twig files not accessible in Theme Editor when extending bootswatch
Description

After extending the bootswatch theme, only a limited subset of .twig files is accessible in the 'screen part files' navigation section.

The subset of .twig files changes depending on the 'Screen' that is selected in the dropdown menu, but important files such as head.twig, nav_bar.twig or progress_bar.twig are never accessible from within the theme editor, although they are called in the layout_global.twig file (see also screenshot attached).

Steps To Reproduce
  1. In the Theme Editor, in the overview of "Installed survey themes", click on 'Theme editor' button for the bootswatch theme
  2. On the following screen, a note will be shown " Note: This is a standard theme. If you want to modify it you can extend it." --> Click on the hyperlink on "you can extend it"
  3. Name the extended theme --> forward to new extended theme Theme editor
  4. No matter which Screen is selected in the editor, head.twig, nav_bar.twig or progress_bar.twig (and others) do not show up in the screen part files list on the left and are therefore not accessible from within the editor.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.3.1 (180214)
I will donate to the project if issue is resolvedNo
BrowserChrome, Safari
Database & DB-Versionmysqlnd 5.0.12-dev - 20150407 - $Id: b5c5906d452ec590732a93b051f3827e02749b83 $
Operating System (Server)Linux dd6928 4.4.0-109-generic #132-Ubuntu SMP Tue Jan 9 19:52:39 UTC 2018 x86_64
Webserver software & versionApache
PHP Version7.0.25-nmm1

Activities

iceclimber81

iceclimber81

2018-02-15 11:28

reporter  

Screen Shot 2018-02-15 at 11.21.38.png (215,778 bytes)
LouisGac

LouisGac

2018-05-07 16:39

manager   ~47571

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27127

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47831

Version 3.8.1+180524 released

Related Changesets

LimeSurvey: master b3fd6c49

2018-05-07 16:39:29

LouisGac

Details Diff
Fixed issue 13361: .twig files not accessible in Theme Editor when extending bootswatch
mod - themes/survey/bootswatch/config.xml Diff File

Issue History

Date Modified Username Field Change
2018-02-15 11:28 iceclimber81 New Issue
2018-02-15 11:28 iceclimber81 File Added: Screen Shot 2018-02-15 at 11.21.38.png
2018-02-15 13:54 olle Assigned To => olle
2018-02-15 13:54 olle Status new => assigned
2018-03-05 11:41 LouisGac Sticky Issue No => Yes
2018-03-05 13:22 LouisGac Assigned To olle => LouisGac
2018-05-07 16:39 LouisGac Changeset attached => LimeSurvey master b3fd6c49
2018-05-07 16:39 LouisGac Note Added: 47571
2018-05-07 16:39 LouisGac Resolution open => fixed
2018-05-07 16:40 LouisGac Sticky Issue Yes => No
2018-05-07 16:40 LouisGac Status assigned => resolved
2018-05-25 11:30 c_schmitz Note Added: 47831
2018-05-25 11:30 c_schmitz Status resolved => closed